Bug 429880 - libtool package should contain Require: gcc = %{gcc_version]
libtool package should contain Require: gcc = %{gcc_version]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtool (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 11:25 EST by Jochen Schmitt
Modified: 2008-05-20 11:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 05:39:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-01-23 11:25:45 EST
Description of problem:

The build of the aplus-fsf package agains gcc-4.3.0-0.4 was failed, plean see
h
ttp://sunsite.mff.cuni.cz/rawhide20071220-gcc43/libtool/aplus-fsf-4.20.2-22.fc8.log

for the build log

My examinations shouw, that the /usr/bin/libtool file contains gcc-version
depending paths coded.

$ grep '4\.1\.2' /usr/bin/libtool
predep_objects="/usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/crti.o
/usr/lib/gcc/x86_64-redhat-linux/4.1.2/crtbeginS.o"
postdep_objects="/usr/lib/gcc/x86_64-redhat-linux/4.1.2/crtendS.o
/usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64/crtn.o"
compiler_lib_search_path="-L/usr/lib/gcc/x86_64-redhat-linux/4.1.2
-L/usr/lib/gcc/x86_64-redhat-linux/4.1.2
-L/usr/lib/gcc/x86_64-redhat-linux/4.1.2/../../../../lib64 -L/lib/../lib64
-L/usr/lib/../lib64"

So the libtool package should cotains a Req to the gcc version which was used to
build the package.
Comment 1 Karsten Hopp 2008-01-23 12:25:16 EST
fixed in libtool-1.5.24-4.fc9
Comment 2 Kevin Kofler 2008-01-23 16:06:04 EST
That libtool build is broken, my kdebase3 build failed with:
Error: Missing Dependency: gcc = %{gcc_version} is needed by package libtool
Comment 3 Karsten Hopp 2008-01-23 16:54:26 EST
sorry about that, a new package is already available in koji
Comment 4 Karsten Hopp 2008-01-23 16:56:35 EST
...at least it would be if the builders weren't 10 times slower then my laptop ;-(
Still building...
Comment 5 Jochen Schmitt 2008-01-28 15:02:41 EST
Sorry, that I have reopen this bug, but I have to make an improvement suggestion
for the requested change.

Vou have wrote

%define gcc_version = 4.1.2

which hast the disadvantage that you have to chage the SPEC file if the version
of the gcc compiler has changed.

I will suggest, that you should wrote

%define gcc_version = %(gcc -dumpversion)

instead, so you have only make a rebuild if the gcc version may be chaned.

Best Regards:

Jochen Schmitt
Comment 6 Karsten Hopp 2008-01-29 05:39:05 EST
That's what I've tried first, but unfortunately this doesn't work in koji as
gcc isn't installed when the requirements are checked.
Comment 7 Warren Togami 2008-01-30 15:32:29 EST
One option:
%define gcc_version = %(gcc -dumpversion || echo "999")

The bogus number will never reach a package.

Or better yet, why can't libtool figure out the gcc version at runtime instead?
Comment 8 Karsten Hopp 2008-01-30 16:18:30 EST
nasty hack, but it seems to work in a scratch build, Thanks !

I've written a patch some time ago which did exactly that. I've dropped it again
when one of the upstream maintainers didn't like it at all. He did offer some
suggestions though, so I'll try again soon.

Note You need to log in before you can comment on or make changes to this bug.